petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkSetEdgeList

Sets the list of local edges (vertex connectivity) for the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetEdgeList(DM dm,PetscInt *edgelist[],PetscInt *edgelistCouple[])

Logically collective on dm

### Input Parameters

| dm | - the dm object
| edgelist | - list of edges for each subnetwork
| edgelistCouple | - list of edges for each coupling subnetwork

### Notes

There is no copy involved in this operation, only the pointer is referenced. The edgelist should not be destroyed before the call to DMNetworkLayoutSetUp

### Example usage

### Consider the following 2 separate networks and a coupling network

     network 0: v0 -> v1 -> v2 -> v3
     network 1: v1 -> v2 -> v0
     coupling network: network 1: v2 -> network 0: v0

The resulting input edgelist[0] = [0 1 | 1 2 | 2 3]; edgelist[1] = [1 2 | 2 0] edgelistCouple[0] = [(network)1 (v)2 (network)0 (v)0].

### See Also

DMNetworkCreate, DMNetworkSetSizes

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages